pragma No_Run_Time;
with System;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   gnat_exit_status : Integer := 0;

   GNAT_Version : constant String :=
                    "GNAT Version: 3.2.1 20021119 (release)";
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_hello" & Ascii.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure Break_Start;
   pragma Export (C, Break_Start, "__gnat_break_start");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#2b896f83#;
   u00002 : constant Version_32 := 16#0032c239#;
   u00003 : constant Version_32 := 16#b4208c47#;
   u00004 : constant Version_32 := 16#bb90d912#;
   u00005 : constant Version_32 := 16#ad070f2c#;
   u00006 : constant Version_32 := 16#98e1cd53#;

   pragma Export (C, u00001, "helloB");
   pragma Export (C, u00002, "bspS");
   pragma Export (C, u00003, "bsp__paramS");
   pragma Export (C, u00004, "bsp__ioS");
   pragma Export (C, u00005, "bsp__sioB");
   pragma Export (C, u00006, "bsp__sioS");

   -- BEGIN ELABORATION ORDER
   -- bsp (spec)
   -- bsp.io (spec)
   -- bsp.param (spec)
   -- bsp.sio (spec)
   -- bsp.sio (body)
   -- hello (body)
   -- END ELABORATION ORDER

end ada_main;
