/* param.h - Axiom Manufacturing CME11E9-EVBU board definitions
   Copyright (C) 2000, 2001, 2002 Free Software Foundation, Inc.
   Written by Stephane Carrez (stcarrez@worldnet.fr)	

This file is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

In addition to the permissions in the GNU General Public License, the
Free Software Foundation gives you unlimited permission to link the
compiled version of this file with other programs, and to distribute
those programs without any restriction coming from the use of this
file.  (The General Public License restrictions do apply in other
respects; for example, they cover modification of the file, and
distribution when not linked into another program.)

This file is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

#ifndef _M68HC11_ARCH_CME11_PARAM_H
#define _M68HC11_ARCH_CME11_PARAM_H

/* Axiom Manufacturing CME11E9-EVBU board definitions.  */
#define AX_CME11E9

#undef M6811_DEF_BAUD
#define M6811_DEF_BAUD 0x30            /* 9600 baud.  */

#undef RAM_SIZE
#define RAM_SIZE       32768           /* 32Kb of memory (43256).  */

#undef ROM_SIZE
#define ROM_SIZE       8192            /* 8Kb eeprom (2864).  */

#undef DATA_SIZE
# define DATA_SIZE     (0x1000-0x040)  /* Data section size.  */

#undef TEXT_SIZE
#define TEXT_SIZE      8192            /* Text section size.  */

#endif
